<?php
/*
Plugin Name: Meks User Social
Plugin URI: https://mekshq.com/plugins/
Description: Add social fields to author/user profile
Version: 1.0.0
Author: Meks
Author URI: https://mekshq.com/
Domain Path: /languages
License: GPL3
*/


if ( ! defined( 'ABSPATH' ) ) {
    exit;
} // Exit if accessed directly


/* Extend user social profiles  */

add_filter( 'user_contactmethods', 'meks_user_social_profiles' );

if ( !function_exists( 'meks_user_social_profiles' ) ):
	function meks_user_social_profiles( $contactmethods ) {

        $social = meks_get_user_social();
        
		foreach ( $social as $soc_id => $soc_name ) {
			if ( $soc_id ) {
				$contactmethods[$soc_id] = $soc_name;
			}
		}
		return $contactmethods;
	}
endif;


/* Get array of social options  */

if ( !function_exists( 'meks_get_user_social' ) ) :
	function meks_get_user_social() {

		$social = array(
			'apple' => 'Apple',
			'behance' => 'Behance',
			'delicious' => 'Delicious',
			'deviantart' => 'DeviantArt',
			'digg' => 'Digg',
			'dribbble' => 'Dribbble',
			'facebook' => 'Facebook',
			'flickr' => 'Flickr',
			'github' => 'Github',
			'google' => 'GooglePlus',
			'instagram' => 'Instagram',
			'linkedin' => 'LinkedIN',
			'pinterest' => 'Pinterest',
			'reddit' => 'ReddIT',
			'rss' => 'Rss',
			'skype' => 'Skype',
			'stumbleupon' => 'StumbleUpon',
			'soundcloud' => 'SoundCloud',
			'spotify' => 'Spotify',
			'tumblr' => 'Tumblr',
			'twitter' => 'Twitter',
			'vimeo' => 'Vimeo',
			'vine' => 'Vine',
			'wordpress' => 'WordPress',
			'xing' => 'Xing' ,
			'yahoo' => 'Yahoo',
			'youtube' => 'Youtube'
		);


        $social = apply_filters( 'meks_modify_user_social', $social );
        
		return $social;
	}
endif;